<?php
error_reporting(0);
session_start();
include "../onestyle_db.php";
if (empty($_GET['file'])){$myfile = "http://www.onestyle.com.ua";}else{$myfile = $_GET['file'];}
if (strlen($myfile) > 111){echo "Извините, но по требованиям безопасности длина ссылки на сайт, который нужно заархивировать, не может превышать 111 символов. В это ограничение укладываются все страницы нашего сайта, поэтому остается открытым вопрос, что же архивируете вы? ;-)";exit();}

if (strpos($_GET['file'], "online.php?p=") === false){}else{
	$tmp_get_stop_limit = 33;
	if ($_SESSION['CURR_LIMIT'] > $tmp_get_stop_limit){
		echo "<p>В день можно архивировать не более " . $tmp_get_stop_limit . " записей.</p><p>Вы привысили этот лимит</p>";exit();
	}else{
		$_SESSION['CURR_LIMIT'] += 1;
		mysql_query("update onestyle_w.ocr set c_stop = (c_stop + 1) where c_ip= '" . $_SERVER['REMOTE_ADDR'] . "' and c_date=" . date('z'));
	}
	
}

if(strpos($myfile, "/") === false){$myfile = "www.onestyle.com.ua/" . $myfile;}elseif(strpos($myfile, "/") < 2){$myfile = "www.onestyle.com.ua" . $myfile;}
if(strpos($myfile, "http://") === false){$myfile = "http://" . $myfile;}
if(strpos($myfile, ".php") === false and strpos($myfile, ".htm") === false and strpos($myfile, ".html") === false and strpos($myfile, ".shtml") === false and strpos($myfile, ".jpg") === false and strpos($myfile, ".jpeg") === false){$myfile = $myfile . "htm";}

$later_site = file_get_contents($myfile);
if (!$later_site){echo "Не удалось загрузить страницу";exit();}

if(strpos($myfile, "onestyle.com.ua") === false){}else{
	$later_site = str_replace('</head>', '<style TYPE="text/css">' . file_get_contents("http://www.onestyle.com.ua/css/index.css") . file_get_contents("http://www.onestyle.com.ua/css/atext.css") . file_get_contents("http://www.onestyle.com.ua/css/bsc.css") . file_get_contents("http://www.onestyle.com.ua/css/font/9.css") . '</style><script type="text/javascript">' . file_get_contents("http://www.onestyle.com.ua/js/1.js") . '</script></head>', $later_site);
	$later_site = str_replace('<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/index.css">', '', $later_site);
	$later_site = str_replace('<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/bsc.css">', '', $later_site);
	$later_site = str_replace('<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/atext.css">', '', $later_site);
	$later_site = str_replace('<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/font/9.css">', '', $later_site);
}
$mytime = time();
$fp = fopen("/home/onestyle/www/a/onestylecomua.htm", "w");
flock($fp, LOCK_EX);
fwrite($fp, $later_site);
fclose($fp);
system("tar cf /home/onestyle/www/a/" . $mytime . ".tar /home/onestyle/www/a/onestylecomua.htm");
system("gzip -9 /home/onestyle/www/a/" . $mytime . ".tar");
flock($fp, LOCK_UN);

$d = opendir("/home/onestyle/www/a");
readdir($d);
while ($fdir = readdir($d)) {
	if (strpos($fdir, ".tar.gz") === false){}else{
		$fdir = str_replace(".tar.gz", "", $fdir);
		if (time() - $fdir > 1111){
			system("rm /home/onestyle/www/a/" . $fdir . ".tar.gz");
		}
	}
}
closedir($d);
  
echo '<html><head><title>Страница загрузки - www.onestyle.com.ua</title><meta HTTP-EQUIV="Refresh" Content="3; URL=http://www.onestyle.com.ua/a/' . $mytime . '.tar.gz"></head><body>Если через 3 секунды загрузка архива не начнется, воспользуйтесь данной ссылкой: <a href="./a/' . $mytime . '.tar.gz">' . $myfile . '</a></body></html>';

?>